3 Replies Latest reply: Jun 12, 2013 8:37 AM by radek.kubka RSS

Best way of choosing ontap version

HENRIKBERGFORS
Currently Being Moderated

Hello,

 

Just a little curious on how to determine witch version of ontap to upgrade to and determine why that is so.

 

There are a bunch of help tools to use when to do an update, upgrade advisor, bug advisor, bug comparison and so on. And there are allot of versions of ontap. 7.3.4, 7.3.7p1 8.1.4 8.2 and it keeps going. And it makes it difficult to determine version and why that version is the best suited one for this and that environment.

 

What steps are you all taking to determine the best suited version of ontap for your environments? There are allot of question marks around this. 

 

Br

  • Re: Best way of choosing ontap version
    VOJTECH_TAUCHMAN
    Currently Being Moderated

    It depends on what do you want from the upgrade.

     

    I usually don't update production systems, if I don't have a reason to.

     

     

    If I need some new feature (64bit aggr,flash pool, etc.) I update to version in which this feature was introduced ( provided it doesn't have any significant bugs) and work my way up from there. Does it work? Fine, leave it! Some problems,bugs,unexpected behavior? Update to latest patch version.

     

    If I am deploying new storage system for new customer I usually deploy the most recent version of DOT.

     

    It really depends on what you are expecting, there is no definite answer. Some people will say that you should always update to the latest version, more conservative people will tell you to stick with the version that works and don't try your luck.

     

    So bottom line: It's up to you

    Good luck

  • Re: Best way of choosing ontap version
    obrakmann
    Currently Being Moderated

    Well, generelly you should use the latest version available, since it has the latest bug fixes, comes with the most current firmware and has all the new nifty features.

     

    However, there are some things to consider:

    • the latest version not only comes with the latest bug fixes, but probably also introduces new bugs.  So if you're the cautious type, wait a few weeks until some P-releases are available until you upgrade
    • Your hardware influences which version you can run at all. For example, the FAS2020 only supports DOT upto 7.3.x, the FAS2040 does not support 8.2 and higher, while using ATTO bridges requires at least DOT 8.1, IIRC. Check the release notes for more information.
    • The feature set you want to use influences your choice of DOT version: as an example, DOT 8.0 does not support SnapLock, 8.x generally does not support IPSec. If those features are requirements for you, you should at least use DOT 8.1 (SnapLock) or stay with 7.x (IPSec).  The same applies to other features. Again, check the release notes for more information.
    • Compatibility with 3rd party software: check the support matrix for compatiblity with, for example, Oracle, vSphere, HyperV, SnapDrive, SnapManagers etc.

     

    At the moment there is also a huge tech refresh going on with Data ONTAP: the original 7-mode operating system is slowly but surely going to be replaced by Clustered Ontap (Cmode). If you are planning a new deployment, check out if Cmode already fits your needs. I assume that in a few years, maybe 2016 or 2018 or so, 7-mode will finally get the axe.

More Like This

  • Retrieving data ...